//+------------------------------------------------------------------+
//|                                             ytg_ Information.mq4 |
//|                                                     Yuriy Tokman |
//|     I write the programs to order          yuriytokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   ObjectCreate("",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("_$",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("",OBJ_LABEL,0,0,0,0,0);
   ObjectCreate("_Buy",OBJ_LABEL,0,0,0,0,0);   
   ObjectCreate("_Sell",OBJ_LABEL,0,0,0,0,0);      
   return(0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete ("");
   ObjectDelete ("");   
   ObjectDelete ("_$");   
   ObjectDelete ("");
   ObjectDelete ("_Buy");
   ObjectDelete ("_Sell");      
         
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  color colir ;
  if(AccountEquity()-AccountBalance()>0) colir = Green;
  else colir = Red;
//**********************************************************
   int MarketOpenOrders_Buy=0,MarketOpenOrders_Sell=0;
     
   for(int cnt=0;cnt<=OrdersTotal()-1;cnt++)//    
   {
     if (OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES))
     {	   				
	  	if ( OrderType()==OP_BUY )MarketOpenOrders_Buy++;	  	  
	  	else if ( OrderType()==OP_SELL )MarketOpenOrders_Sell++;	  	  	  	  
	  }
   }      
//----------------------------------------------------------
  string Balance ="Balance = "+DoubleToStr(AccountBalance(),2);
  string Equity ="Equity = "+DoubleToStr(AccountEquity(), 2);
  string Prifit_USD ="Profit_$ = "+DoubleToStr(AccountEquity()-AccountBalance(),3)+" $";     
  string Profit ="Profit_% = "+DoubleToStr((AccountEquity()/AccountBalance()-1)*100,3)+" %";
  string Total_Buy ="Total_Buy = "+MarketOpenOrders_Buy;  
  string Total_Sell ="Total_Sell = "+MarketOpenOrders_Sell;       
               
     ObjectSetText("",Balance,12,"Arial Black",Lime);
     ObjectSet("",OBJPROP_XDISTANCE,3);     
     ObjectSet("",OBJPROP_YDISTANCE,30);
     
     ObjectSetText("",Equity,12,"Arial Black",Lime);
     ObjectSet("",OBJPROP_XDISTANCE,3);     
     ObjectSet("",OBJPROP_YDISTANCE,50);     
     
     ObjectSetText("_$",Prifit_USD,12,"Arial Black",Lime);
     ObjectSet("_$",OBJPROP_XDISTANCE,3);     
     ObjectSet("_$",OBJPROP_YDISTANCE,70);
     ObjectSet("_$",OBJPROP_COLOR,colir);     
     
     ObjectSetText("",Profit,12,"Arial Black",Lime);
     ObjectSet("",OBJPROP_XDISTANCE,3);     
     ObjectSet("",OBJPROP_YDISTANCE,90);
     ObjectSet("",OBJPROP_COLOR,colir);     
     
     ObjectSetText("_Buy",Total_Buy,12,"Arial Black",Lime);
     ObjectSet("_Buy",OBJPROP_XDISTANCE,3);     
     ObjectSet("_Buy",OBJPROP_YDISTANCE,110);
     
     ObjectSetText("_Sell",Total_Sell,12,"Arial Black",Lime);
     ObjectSet("_Sell",OBJPROP_XDISTANCE,3);     
     ObjectSet("_Sell",OBJPROP_YDISTANCE,130);               
        
//----
   return(0);
  }
//+------------------------------------------------------------------+